
QGIS Application - Bug report #18341

VRT loads extremely slowly

2018-03-05 03:58 PM - matthieu carlini

Status: Closed

Priority: High

Assignee:

Category: Rasters

Affected QGIS version:3.0.0 Regression?: Yes

Operating System: windows 7 pro Easy fix?: No

Pull Request or Patch supplied:No Resolution: no timely feedback

Crashes QGIS or corrupts data:No Copied to github as #: 26231

Description

Opening a VRT layer takes a lot of time on version 3.0.

tested on a 341ko file that references 273 ecw files :

- time on QGis 2.18.16 : 00:36:21

- time on QGis 3.0.0 : 12:26:24

History

#1 - 2018-03-06 11:46 AM - Giovanni Manghi

- Priority changed from Normal to High

- Status changed from Open to Feedback

#2 - 2018-08-23 08:45 PM - Giovanni Manghi

What about 3.2? any chance the dataset can be shared?

#3 - 2018-12-24 10:35 AM - Alexander Bruy

- Resolution set to no timely feedback

- Status changed from Feedback to Closed

Closed for the lack of feedback. Please reopen if necessary.

#4 - 2019-01-15 11:19 AM - Alain FERRATON

according to my tests. 

during the first opening QGIS calculates statistics for the VRT which is very long. He adds them to the VRT when closing.

It is possible to pre-calculate the statistics with

gdalinfo -approx_stats My_vrt.vrt
